Bug 16090 - KDE2: klauncher fails during logon
KDE2: klauncher fails during logon
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-08-13 00:56 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-14 06:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-08-13 00:56:14 EDT
This is KDE2 on rc1 (I have /usr/lib/kde2/bin first in my path).

Login to sawfish/gnome.  Restoring running kmail.  I get the following
backtrace from a klauncher failure:

Here is a backtrace generated by DrKonqi:
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 1024 (LWP 1035)]
0x40ff7ed9 in __wait4 () from /lib/libc.so.6
#0  0x40ff7ed9 in __wait4 () from /lib/libc.so.6
#1  0x4105f668 in __DTOR_END__ () from /lib/libc.so.6
#2  0x4073cc67 in KCrash::defaultCrashHandler ()
   from /usr/lib/kde2/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x40f6ffd1 in __kill () from /lib/libc.so.6
#5  0x40f6fdaa in raise (sig=6) at ../sysdeps/posix/raise.c:27
#6  0x40f71552 in abort () at ../sysdeps/generic/abort.c:88
#7  0x40682602 in kDebugBackend () from /usr/lib/kde2/lib/libkdecore.so.3
#8  0x40683433 in kdbgstream::flush () from
#9  0x400993d2 in endl () from /usr/lib/kde2/lib/libkparts.so.1
#10 0x406e033d in KUniqueApplication::start ()
   from /usr/lib/kde2/lib/libkdecore.so.3
#11 0x406e0ebb in KUniqueApplication::KUniqueApplication ()
   from /usr/lib/kde2/lib/libkdecore.so.3
#12 0x410862a9 in KLauncher::KLauncher () from
#13 0x41093aa2 in start_launcher () from /usr/lib/kde2/lib/klauncher.so
#14 0x804a50e in strcpy () at ../sysdeps/generic/strcpy.c:31
#15 0x804c9c0 in strcpy () at ../sysdeps/generic/strcpy.c:31
#16 0x40f5f665 in __libc_start_main (main=0x804c6f0 <strcpy+10604>, argc=1, 
    ubp_av=0xbffff9a4, init=0x8049794 <_init>, fini=0x804cf28 <_fini>, 
    rtld_fini=0x4000dca4 <_dl_fini>, stack_end=0xbffff99c)
    at ../sysdeps/generic/libc-start.c:111
Comment 1 Bernhard Rosenkraenzer 2000-08-14 06:44:05 EDT
Please report this type of KDE2 bugs to submit@bugs.kde.org - since we're
including it only as a preview, we don't have the resources to fix all of them
Comment 2 Bernhard Rosenkraenzer 2000-08-19 11:19:42 EDT
Should be fixed in 1.93 though.

Note You need to log in before you can comment on or make changes to this bug.